The Blazor [In-place Editor](https://www.syncfusion.com/blazor-components/blazor-in-place-editor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget) component is most useful for editing a value dynamically within its context (in-place). It features inline and pop-up modes, and customizable user interface (UI) and events.

## Key Features:
*	**Render mode** - Provides two types of rendering modes when editing the input, namely `Inline` and `Popup`.
*	**Component integration** - Support to integrate components such as `DropDownList`, `DatePicker`,`AutoComplete`, etc. to the In-place Editor.
*	**Data binding** - Bind the In-place Editor component with Lists or DataManager to save the edited data to the server.
*   **Customization** - Offers UI customization such as popup, buttons, and also denotes editable content state.
*   **Template** - Templates can be used to integrate custom controls to the In-place Editor.
*   **Globalization** - Provides right to left and localization support.


## Related links
[Learn More about Blazor In-Place Editor component](https://www.syncfusion.com/blazor-components/blazor-in-place-editor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/in-place-editor/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/19.2.47/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/in-place-editor/overview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20InPlaceEditor%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-inplaceeditor-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.